Skip to main content
PUT
/
api
/
service-bridges
/
{id}
/
proxy
/
{endpointName}
Proxy request through a service bridge endpoint
curl --request PUT \
  --url https://platform.kodexa.ai/api/service-bridges/{id}/proxy/{endpointName} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://platform.kodexa.ai/api/service-bridges/{id}/proxy/{endpointName}"

headers = {"x-api-key": "<api-key>"}

response = requests.put(url, headers=headers)

print(response.text)
const options = {method: 'PUT', headers: {'x-api-key': '<api-key>'}};

fetch('https://platform.kodexa.ai/api/service-bridges/{id}/proxy/{endpointName}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

endpointName
string
required

Service-bridge endpoint name.

Response

Forwarded response from the upstream service